Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.orbportability.common
Class Environment

    java.lang.Object
      com.arjuna.orbportability.common.Environment

public class Environment
extends java.lang.Object

Various property variables which can be set to achieve different effects.

Since:
  JTS 1.0.
Version:
  $Id: Environment.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Field Summary
`static java.lang.String` | `BIND_MECHANISM`
`static java.lang.String` | `CORBA_DIAGNOSTICS`
`static java.lang.String` | `DEFAULT_ORB_CONFIGURATION`
`static java.lang.String` | `EVENT_HANDLER`
`static java.lang.String` | `FILE_DIR`
`static java.lang.String` | `INITIAL_REFERENCES_FILE`
`static java.lang.String` | `INITIAL_REFERENCES_ROOT`
`static java.lang.String` | `OA_IMPLEMENTATION`
`static java.lang.String` | `ORB_IMPLEMENTATION`
`static java.lang.String` | `PROPERTIES_FILE`
`static java.lang.String` | `RESOLVE_SERVICE`

Constructor Summary
`Environment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CORBA_DIAGNOSTICS

    public static final java.lang.String CORBA_DIAGNOSTICS

See Also:
  Constant Field Values

### INITIAL_REFERENCES_ROOT

    public static final java.lang.String INITIAL_REFERENCES_ROOT

See Also:
  Constant Field Values

### INITIAL_REFERENCES_FILE

    public static final java.lang.String INITIAL_REFERENCES_FILE

See Also:
  Constant Field Values

### FILE_DIR

    public static final java.lang.String FILE_DIR

See Also:
  Constant Field Values

### RESOLVE_SERVICE

    public static final java.lang.String RESOLVE_SERVICE

See Also:
  Constant Field Values

### EVENT_HANDLER

    public static final java.lang.String EVENT_HANDLER

See Also:
  Constant Field Values

### ORB_IMPLEMENTATION

    public static final java.lang.String ORB_IMPLEMENTATION

See Also:
  Constant Field Values

### OA_IMPLEMENTATION

    public static final java.lang.String OA_IMPLEMENTATION

See Also:
  Constant Field Values

### PROPERTIES_FILE

    public static final java.lang.String PROPERTIES_FILE

See Also:
  Constant Field Values

### BIND_MECHANISM

    public static final java.lang.String BIND_MECHANISM

See Also:
  Constant Field Values

### DEFAULT_ORB_CONFIGURATION

    public static final java.lang.String DEFAULT_ORB_CONFIGURATION

See Also:
  Constant Field Values

Constructor Detail

### Environment

    public Environment()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD